Summary: An implementation of Primary Rate ISDN
Name: libpri
Version: 1.4.11.3
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://www.asterisk.org/
Source0: http://downloads.digium.com/pub/telephony/libpri/releases/libpri-%{version}.tar.gz
Source1: http://downloads.digium.com/pub/telephony/libpri/releases/libpri-%{version}.tar.gz.asc
Patch0: libpri-1.4.11-optimization.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
libpri is a C implementation of the Primary Rate ISDN specification.
It was based on the Bellcore specification SR-NWT-002343 for National
ISDN.  As of May 12, 2001, it has been tested work with NI-2, Nortel
DMS-100, and Lucent 5E Custom protocols on switches from Nortel and
Lucent.

%package devel
Summary: Development files for libpri
Group: Development/Libraries
Requires: libpri = %{version}-%{release}

%description devel
Development files for libpri.

%prep
%setup0 -q -n %{name}-%{version}
%patch0 -p1
%{__sed} -ri -e 's@\$\(INSTALL_BASE\)\/lib@%{_libdir}@g' Makefile
%{__sed} -ri -e '\@/sbin\/restorecon@d' Makefile

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make INSTALL_PREFIX=%{buildroot} install
rm %{buildroot}%{_libdir}/libpri.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/libpri.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libpri.h
%{_libdir}/libpri.so

%changelog
* Mon Aug  2 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.11.3-1
- 1.4.11.3:
- This release fixes a regression in the calling number assignment logic:
- 
-  * Calling Number assignment logic change in libpri 1.4.11. Restored the old
-    behaviour if there is more than one calling number in the incoming SETUP
-    message.  A network provided number is reported as ANI.
-    (Closes issue #17495. Reported and tested by ibercom. Patched by rmudgett)
- 
- For a full list of changes in the current release, please see the ChangeLog:
- 
- http://downloads.asterisk.org/pub/telephony/libpri/releases/ChangeLog-1.4.11.3

* Thu Jun 10 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.11.2-1
- 1.4.11.2:
-
- This release fixes situation where Q.SIG calling name in FACILITY
- message was not reported to the upper layer:
- 
- * pri_facility.c: Q.SIG calling name in FACILITY message not reported
-   to the upper layer. Q.SIG can send the CallingName, CalledName, and
-   ConnectedName in stand alone FACILITY messages.  If the CallingName
-   was not sent in the SETUP message, the caller id name was not
-   reported to the upper layer.  (Closes issue #17458. Reported, tested
-   by: jsmith. Patched by rmudgett)
- 
- For a full list of changes in the current release, please see the
- ChangeLog:
- 
- http://downloads.asterisk.org/pub/telephony/libpri/releases/ChangeLog-1.4.11.2
- 
- 1.4.11.1:
- 
- This release fixes a regression in multi component FACILITY messages
- and includes a minor bug fix for BRI spans:
- 
- * Multi component FACILITY messages only process the first
-   component. The code was only processing the first ROSE component in
-   the facility message.  (Closes issue #17428. Reported, tested by:
-   patrol-cz. Patched by rmudgett)
- 
- * Inband disconnect setting does nothing on BRI spans.  The
-   acceptinbanddisconnect flag is not inherited when creating a new TEI
-   and thus rendering the setting (and its respective equivalent in
-   Asterisk) a no-op on BRI setups.  (Closes issue #15265. Reported,
-   patched, tested by: paravoid)
- 
- For a full list of changes in the current release, please see the
- ChangeLog:
- 
- http://downloads.asterisk.org/pub/telephony/libpri/releases/ChangeLog-1.4.11.1

* Wed May 26 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.11-1
- This release contains many fixes and new features, among them being:
- 
- 1.) Support for NT-PTMP BRI links, including support for multiple TEIs
- and connecting of BRI phones.
- 
- 2.) Support for allowing persistent Q.921 drops on both NT and TE PTMP
- links, as well as automatically requesting that Q.921 data links
- reactivate when needed by Q.931.
- 
- 3.) T309 is enabled by default.
- 
- 4.) Problems with Keypad Facility Digits were addressed.
- 
- 5.) A number of additional service related features were added:
- Connected Line Information, HOLD/RELEASE support, Call Deflection/Call
- Rerouting, as well as partial subaddress support.  They are supported in
- the Q.SIG and EuroISDN switch types, and most currently require using
- the trunk version of Asterisk.
- 
- 6.) Many potential and realized Q.921 related problems, particularly
- during retransmissions and other scenarios involving medium to high
- packet loss.
- 
- For a full list of changes in the current release candidates, please see
- the ChangeLog:
- 
- http://downloads.asterisk.org/pub/telephony/libpri/releases/ChangeLog-1.4.11

* Tue Oct 20 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.10.2-1
- Update to libpri 1.4.10.2

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 24 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.10-1
- Update to 1.4.10

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.7-1
- Update to 1.4.7

* Tue Jul 29 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Feb 11 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.3-2
- Rebuild for GCC 4.3

* Thu Dec 20 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.3-1
- Update to 1.4.3.
- Drop upstreamed patch.

* Thu Nov  1 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.2-1
- Update to 1.4.2

* Wed Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-5
- Bump release.

* Wed Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-4
- Add patch to define size_t

* Tue Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-3
- Update license tag.
- Update URL.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.4.1-2
- Rebuild for selinux ppc32 issue.

* Mon Jul  9 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-1
- Update to 1.4.1

* Sat Dec 23 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-3
- Update to 1.4.0 final

* Sat Oct 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-2.beta1
- Fix lib paths for 64 bit systems.

* Sat Oct 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-1.beta1
- Get rid of pesky "." in -devel summary.
- Remove zaptel-devel BR

* Fri Oct 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-1.beta1
- devel package needs to Require: main package

* Fri Oct 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-0.beta1
- Update to 1.4.0-beta1

* Fri Jun  2 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.3
- Update to 1.2.3
- Add dist tag to release
- Update source URL

* Wed Jan 18 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.2-1
- Update to 1.2.2.
- Fix the spelling of Paul Komkoff Jr.'s name.

* Fri Jan 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-4
- Eliminate the libpri-install.patch and other improvements based on suggestions from Paul Komkoff Jr.

* Thu Jan 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-3
- Fix building on 64 bit systems.

* Thu Jan 12 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-2
- Changed buildroot to meet FE packaging guidelines
- Don't forget docs
- Modify %%post so that ldconfig dep will be picked up automatically
- Add %%postun so that ldconfig gets run on uninstall
- Don't package the static library
- Changed $RPM_BUILD_ROOT to %%{buildroot} (yes, I know I was consistent before, but I prefer %%{buildroot})

* Wed Jan 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-1
- First version for Fedora Extras
